Overview | Package | Class | Tree | Deprecated | Index | Help
| CStockage 4.2_beta-RC-1 API Documentation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CStockage.channelAction.injac.actions
Class DocumentEditionAction

    java.lang.Object
      org.esupportail.portal.channels.CStockage.channelAction.injac.actions.DocumentEditionAction

public class DocumentEditionAction
extends java.lang.Object

Id: DocumentEditionAction.java,v 1.0 27 oct. 2004 Copyright (c) 2004 Esup Portail (www.esup-portail.org) Classes: DocumentEditionAction Original Author: Yohan Colmant Action for the document edition

Constructor Summary
`DocumentEditionAction()`

Method Summary
`static java.lang.StringBuffer` | `renderXmlConfirmSubmit(org.jasig.portal.ChannelRuntimeData runtimeData, BufferAction buffer, java.lang.StringBuffer stylesheet, java.util.ArrayList spaces, java.util.ArrayList metadataToSet, java.lang.String userPortalLogin, java.util.Vector userGroups, Space currentSpace, DirectoryProperties directoryProperties)` Generate the XML when we ask a submit confirmation
`static java.lang.StringBuffer` | `submit(org.jasig.portal.ChannelRuntimeData runtimeData, java.lang.StringBuffer stylesheet, java.util.ArrayList spaces, java.util.ArrayList metadataToSet, java.lang.String userPortalLogin, java.util.Vector userGroups, Space currentSpace, DirectoryProperties directoryProperties, BufferAction buffer, java.lang.String currentSortType)` Generate the XML String and submit the document

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentEditionAction

    public DocumentEditionAction()

Method Detail

### renderXmlConfirmSubmit

    public static java.lang.StringBuffer renderXmlConfirmSubmit(org.jasig.portal.ChannelRuntimeData runtimeData,
                                                                BufferAction buffer,
                                                                java.lang.StringBuffer stylesheet,
                                                                java.util.ArrayList spaces,
                                                                java.util.ArrayList metadataToSet,
                                                                java.lang.String userPortalLogin,
                                                                java.util.Vector userGroups,
                                                                Space currentSpace,
                                                                DirectoryProperties directoryProperties)
                                                         throws ChannelException

  Generate the XML when we ask a submit confirmation

  Parameters:
    `runtimeData` - the channel runtimedata object
    `buffer` - the buffer used for the clipboard
    `stylesheet` - the channel stylesheet we are going to use
    `spaces` - the channel spaces list
    `metadataToSet` - the metatada list we want to set
    `userPortalLogin` - the user portal login
    `userGroups` - the user portal groups
    `currentSpace` - the current space
    `directoryProperties` - the current directory properties
  Returns:
    the XML String for this mod
  Throws:
    `ChannelException`

### submit

    public static java.lang.StringBuffer submit(org.jasig.portal.ChannelRuntimeData runtimeData,
                                                java.lang.StringBuffer stylesheet,
                                                java.util.ArrayList spaces,
                                                java.util.ArrayList metadataToSet,
                                                java.lang.String userPortalLogin,
                                                java.util.Vector userGroups,
                                                Space currentSpace,
                                                DirectoryProperties directoryProperties,
                                                BufferAction buffer,
                                                java.lang.String currentSortType)
                                         throws ChannelException

  Generate the XML String and submit the document

  Parameters:
    `runtimeData` - the runtime data channel object
    `stylesheet` - the stylesheet we are about to use
    `spaces` - the spaces list
    `metadataToSet` - the metadata list we want to set
    `userPortalLogin` - the user portal login
    `userGroups` - the user portal groups
    `currentSpace` - the current space
    `directoryProperties` - the current directory properties
    `buffer` - the buffer used for example for the clipboard
    `currentSortType` - The current and default sort type for the resources
  Returns:
    the XML String for this mod
  Throws:
    `ChannelException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| CStockage 4.2_beta-RC-1 API Documentation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD